Summary: Tools for debuginfo creation
Name: debugedit
Version: 5.0
Release: 7%{?dist}
License: GPLv3+ and GPLv2+ and LGPLv2+
URL: https://sourceware.org/debugedit/
Source0: https://sourceware.org/pub/debugedit/%{version}/%{name}-%{version}.tar.xz
Patch3000: 0001-tests-Handle-zero-directory-entry-in-.debug_line-DWA.patch

BuildRequires: make gcc autoconf automake
BuildRequires: pkgconfig(libelf) pkgconfig(libdw)
BuildRequires: help2man
Requires: elfutils binutils coreutils findutils
Requires: sed dwz grep gawk xz
Requires: /usr/bin/gdb-add-index

%description
This package provides programs and scripts for creating debuginfo and source file 
distributions.It collects  build-ids and overrides source paths in DWARF data for 
debugging, tracing and analysis.

It is based on the original code originally from the rpm project plus libiberty and
binutils.It relies on the elfutils libelf and libdw libraries to read and write ELF 
files, DWARF data and build-ids.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install
cd %{buildroot}%{_bindir}
ln -s find-debuginfo find-debuginfo.sh

%check
sed -i 's/^\(C\|LD\)FLAGS=.*/\1FLAGS=""/' tests/atlocal
%make_build check

%files
%license COPYING COPYING3 COPYING.LIB
%doc README
%{_bindir}/debugedit
%{_bindir}/sepdebugcrcfix
%{_bindir}/find-debuginfo
%{_bindir}/find-debuginfo.sh
%{_mandir}/man1/debugedit.1*
%{_mandir}/man1/sepdebugcrcfix.1*
%{_mandir}/man1/find-debuginfo.1*

%changelog
* Wed Jan 17 2024 Rebuild Robot <rebot@opencloudos.org> - 5.0-7
- Rebuilt for elfutils

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0-4
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 abushwang <abushwang@tencent.com> - 5.0-3
- revert "bugfix: decompress DWARF compressed ELF sections for find-debuginfo.sh"

* Wed Dec 14 2022 abushwang <abushwang@tencent.com> - 5.0-2
- bugfix: decompress DWARF compressed ELF sections for find-debuginfo.sh

* Tue Aug 16 2022 Wang Guodong <gordonwwang@tencent.com> - 5.0-1
- package init.
